Skip to main content
GET
/
v1
/
subscriptions
/
{id}
/
entities
List entities for subscription
curl --request GET \
  --url https://api.pointset.io/v1/subscriptions/{id}/entities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "city": "<string>",
      "entity_type": "<string>",
      "external_id": "<string>",
      "fields": {},
      "discovered_at": "<string>",
      "updated_at": "<string>",
      "removed_at": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.pointset.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

limit
integer
default:50
Required range: x >= 1
Example:

50

offset
integer | null
default:0
Required range: x >= 0
Example:

0

Response

OK

data
object[]
required
total
integer
required
limit
integer
required
offset
integer
required